OpenTTD Source: NWidgetPart::NWidgetPartUnion Union Reference

OpenTTD Source 15.0-beta1

Public Member Functions | Data Fields
NWidgetPart::NWidgetPartUnion Union Reference

## Public Member Functions
constexpr | NWidgetPartUnion (Point xy)
constexpr | NWidgetPartUnion (NWidgetPartDataTip data_tip)
constexpr | NWidgetPartUnion (NWidgetPartWidget widget)
constexpr | NWidgetPartUnion (NWidgetPartPaddings padding)
constexpr | NWidgetPartUnion (NWidgetPartPIP pip)
constexpr | NWidgetPartUnion (NWidgetPartTextLines text_lines)
constexpr | NWidgetPartUnion (NWidgetPartTextStyle text_style)
constexpr | NWidgetPartUnion (NWidgetPartAlignment align)
constexpr | NWidgetPartUnion (NWidgetFunctionType *func_ptr)
constexpr | NWidgetPartUnion (NWidContainerFlags cont_flags)
constexpr | NWidgetPartUnion (NWidgetPartAspect aspect)

## Data Fields
Point | xy
| Part with an x/y size.
NWidgetPartDataTip | data_tip
| Part with a data/tooltip.
NWidgetPartWidget | widget
| Part with a start of a widget.
NWidgetPartPaddings | padding
| Part with paddings.
NWidgetPartPIP | pip
| Part with pre/inter/post spaces.
NWidgetPartTextLines | text_lines
| Part with text line data.
NWidgetPartTextStyle | text_style
| Part with text style data.
NWidgetPartAlignment | align
| Part with internal alignment.
NWidgetFunctionType * | func_ptr
| Part with a function call.
NWidContainerFlags | cont_flags
| Part with container flags.
NWidgetPartAspect | aspect
| Part to set aspect ratio.

## Detailed Description

Definition at line 1077 of file widget_type.h.

## Constructor & Destructor Documentation

## ◆ NWidgetPartUnion() [1/12]

constexpr NWidgetPart::NWidgetPartUnion::NWidgetPartUnion | ( |  | ) |
| inlineconstexpr

Definition at line 1091 of file widget_type.h.

## ◆ NWidgetPartUnion() [2/12]

constexpr NWidgetPart::NWidgetPartUnion::NWidgetPartUnion | ( | Point | xy | ) |
| inlineconstexpr

Definition at line 1092 of file widget_type.h.

## ◆ NWidgetPartUnion() [3/12]

constexpr NWidgetPart::NWidgetPartUnion::NWidgetPartUnion | ( | NWidgetPartDataTip | data_tip | ) |
| inlineconstexpr

Definition at line 1093 of file widget_type.h.

## ◆ NWidgetPartUnion() [4/12]

constexpr NWidgetPart::NWidgetPartUnion::NWidgetPartUnion | ( | NWidgetPartWidget | widget | ) |
| inlineconstexpr

Definition at line 1094 of file widget_type.h.

## ◆ NWidgetPartUnion() [5/12]

constexpr NWidgetPart::NWidgetPartUnion::NWidgetPartUnion | ( | NWidgetPartPaddings | padding | ) |
| inlineconstexpr

Definition at line 1095 of file widget_type.h.

## ◆ NWidgetPartUnion() [6/12]

constexpr NWidgetPart::NWidgetPartUnion::NWidgetPartUnion | ( | NWidgetPartPIP | pip | ) |
| inlineconstexpr

Definition at line 1096 of file widget_type.h.

## ◆ NWidgetPartUnion() [7/12]

constexpr NWidgetPart::NWidgetPartUnion::NWidgetPartUnion | ( | NWidgetPartTextLines | text_lines | ) |
| inlineconstexpr

Definition at line 1097 of file widget_type.h.

## ◆ NWidgetPartUnion() [8/12]

constexpr NWidgetPart::NWidgetPartUnion::NWidgetPartUnion | ( | NWidgetPartTextStyle | text_style | ) |
| inlineconstexpr

Definition at line 1098 of file widget_type.h.

## ◆ NWidgetPartUnion() [9/12]

constexpr NWidgetPart::NWidgetPartUnion::NWidgetPartUnion | ( | NWidgetPartAlignment | align | ) |
| inlineconstexpr

Definition at line 1099 of file widget_type.h.

## ◆ NWidgetPartUnion() [10/12]

constexpr NWidgetPart::NWidgetPartUnion::NWidgetPartUnion | ( | NWidgetFunctionType * | func_ptr | ) |
| inlineconstexpr

Definition at line 1100 of file widget_type.h.

## ◆ NWidgetPartUnion() [11/12]

constexpr NWidgetPart::NWidgetPartUnion::NWidgetPartUnion | ( | NWidContainerFlags | cont_flags | ) |
| inlineconstexpr

Definition at line 1101 of file widget_type.h.

## ◆ NWidgetPartUnion() [12/12]

constexpr NWidgetPart::NWidgetPartUnion::NWidgetPartUnion | ( | NWidgetPartAspect | aspect | ) |
| inlineconstexpr

Definition at line 1102 of file widget_type.h.

## Field Documentation

## ◆ align

NWidgetPartAlignment NWidgetPart::NWidgetPartUnion::align

Part with internal alignment.

Definition at line 1085 of file widget_type.h.

Referenced by ApplyNWidgetPartAttribute().

## ◆ aspect

NWidgetPartAspect NWidgetPart::NWidgetPartUnion::aspect

Part to set aspect ratio.

Definition at line 1088 of file widget_type.h.

Referenced by ApplyNWidgetPartAttribute().

## ◆ cont_flags

NWidContainerFlags NWidgetPart::NWidgetPartUnion::cont_flags

Part with container flags.

Definition at line 1087 of file widget_type.h.

Referenced by MakeNWidget().

## ◆ data_tip

NWidgetPartDataTip NWidgetPart::NWidgetPartUnion::data_tip

Part with a data/tooltip.

Definition at line 1079 of file widget_type.h.

Referenced by ApplyNWidgetPartAttribute().

## ◆ func_ptr

NWidgetFunctionType* NWidgetPart::NWidgetPartUnion::func_ptr

Part with a function call.

Definition at line 1086 of file widget_type.h.

Referenced by MakeNWidget().

## ◆ padding

NWidgetPartPaddings NWidgetPart::NWidgetPartUnion::padding

Part with paddings.

Definition at line 1081 of file widget_type.h.

Referenced by ApplyNWidgetPartAttribute().

## ◆ pip

NWidgetPartPIP NWidgetPart::NWidgetPartUnion::pip

Part with pre/inter/post spaces.

Definition at line 1082 of file widget_type.h.

Referenced by ApplyNWidgetPartAttribute().

## ◆ text_lines

NWidgetPartTextLines NWidgetPart::NWidgetPartUnion::text_lines

Part with text line data.

Definition at line 1083 of file widget_type.h.

Referenced by ApplyNWidgetPartAttribute().

## ◆ text_style

NWidgetPartTextStyle NWidgetPart::NWidgetPartUnion::text_style

Part with text style data.

Definition at line 1084 of file widget_type.h.

Referenced by ApplyNWidgetPartAttribute().

## ◆ widget

NWidgetPartWidget NWidgetPart::NWidgetPartUnion::widget

Part with a start of a widget.

Definition at line 1080 of file widget_type.h.

Referenced by ApplyNWidgetPartAttribute(), and MakeNWidget().

## ◆ xy

Point NWidgetPart::NWidgetPartUnion::xy

Part with an x/y size.

Definition at line 1078 of file widget_type.h.

Referenced by ApplyNWidgetPartAttribute().

The documentation for this union was generated from the following file:

- src/widget_type.h